This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 522935 - Review Request: mod_gnutls - GnuTLS module for the Apache HTTP server
Review Request: mod_gnutls - GnuTLS module for the Apache HTTP server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-12 06:30 EDT by Erick Calder
Modified: 2014-09-10 06:14 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.5.5-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-28 23:00:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tmraz: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erick Calder 2009-09-12 06:30:57 EDT
Spec URL: http://www.arix.com/ftp/rpmz/specs/mod_gnutls.spec
SRPM URL: http://www.arix.com/ftp/rpmz/src/mod_gnutls-0.5.5-1.fc11.src.rpm
Description: mod_gnutls uses the GnuTLS library to provide SSL 3.0, TLS 1.0 and TLS 1.1 encryption for Apache HTTPD.  It is similar to mod_ssl in purpose, but does not use OpenSSL.  A primary benefit of using this module is the ability to configure multiple SSL certificates for a single IP-address/port combination
(useful for securing virtual hosts).
Comment 1 Erick Calder 2009-09-12 06:53:57 EDT
the page below:

http://fedoraproject.org/wiki/PackageMaintainers/Join

states: "You can add your package to this list by editing your review request bug and adding FE-NEEDSPONSOR in the 'Bug xyz blocks' field (where xyz is the bug number for your review request)."

however, I don't see the 'Bug xyz blocks' field in this form.  how am I to indicate I need sponsorship?
Comment 2 Tomas Mraz 2009-09-15 02:46:17 EDT
The .spec file states that it was generated by cpan2rpm. Is that true? mod_gnutls is not a perl module.

The package does not build correctly. There are at least missing appropriate buildrequires.
Comment 3 Erick Calder 2009-09-15 04:00:00 EDT
(In reply to comment #2)
> The .spec file states that it was generated by cpan2rpm. Is that true?
> mod_gnutls is not a perl module

no, sorry.  I built the spec file by modifying one generated by c2r and never looked all the way up there.  I've fixed it

> The package does not build correctly. There are at least missing appropriate
> buildrequires.  

hmm... I've added gnutls-devel (+ other patches) and produced release -2 (ready for review)
Comment 4 Tomas Mraz 2009-09-15 04:19:55 EDT
It still does not build. It's missing buildrequires for httpd-devel at least. Please try to build the package in mock. Then try running rpmlint on the src.rpm and binary packages.

Please also update the .src.rpm link here.
Comment 5 Tomas Mraz 2009-09-15 04:21:42 EDT
The SRP support is disabled in our gnutls package, so it should not be advertised in the mod_gnutls description. I don't know whether mod_gnutls supports PSK, but this is enabled in our gnutls package.
Comment 6 Erick Calder 2009-09-16 02:29:45 EDT
(In reply to comment #4)
> It still does not build. It's missing buildrequires for httpd-devel at least.
> Please try to build the package in mock. Then try running rpmlint on the
> src.rpm and binary packages.

ok. I got mock set up and figured out how to use it.  I've successfully rebuilt the package (included httpd-devel, which was needed for apxs)

> Please also update the .src.rpm link here.  

I can't figure out how to edit my original message so here's the new link:

http://www.arix.com/ftp/rpmz/src/mod_gnutls-0.5.5-3.fc11.src.rpm

(In reply to comment #5)
> The SRP support is disabled in our gnutls package, so it should not be
> advertised in the mod_gnutls description.

removed from the README
Comment 7 Tomas Mraz 2009-09-17 10:26:00 EDT
> Source0:   http://www.outoforder.cc/downloads/mod_gnutls/mod_gnutls-0.5.5.tar.bz2

I'd suggest using %{name}-%{version}.tar.bz2 here.

There is missing 'Requires: httpd%{?_isa}' otherwise the package could be installed into unowned directories and it also obviously would not be working without httpd.
Comment 8 Erick Calder 2009-09-17 15:57:30 EDT
(In reply to comment #7)
> I'd suggest using %{name}-%{version}.tar.bz2 here.

I should have thought of that :)

> There is missing 'Requires: httpd%{?_isa}' otherwise the package could be
> installed into unowned directories and it also obviously would not be working
> without httpd.  

well... I didn't add a Requires field because the manuals say not to; that one should rely on the dependency generator, although it seems that is a little lacking since it missed httpd (it did pick up on the need for GnuTLS):

config(mod_gnutls) = 0.5.5-3.fc11
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.4)  
libgnutls.so.26  
libgnutls.so.26(GNUTLS_1_4)  
libpthread.so.0  
libpthread.so.0(GLIBC_2.0)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH) 

so I've added it.  thanks for picking up on that.  latest version is -4 (see usual place for it)
Comment 9 Tomas Mraz 2009-09-17 17:31:57 EDT
I am not sure that I like the %{ooo} define too much - also the current package guidelines state that %global should be used instead of %define. But I wouldn't substitute this part of the URLs by a macro at all.

That is a minor issue you can fix before commit.

rpmlint output:
rpmlint -v ../SRPMS/mod_gnutls-0.5.5-4.fc11.src.rpm ../RPMS/x86_64/mod_gnutls-0.5.5-4.fc11.x86_64.rpm ../RPMS/x86_64/mod_gnutls-debuginfo-0.5.5-4.fc11.x86_64.rpm
mod_gnutls.src: I: checking
mod_gnutls.x86_64: I: checking
mod_gnutls.x86_64: E: non-standard-dir-perm /var/cache/mod_gnutls 0700
mod_gnutls-debuginfo.x86_64: I: checking
3 packages and 0 specfiles checked; 1 errors, 0 warnings.

The non-standard-dir-perm error is not a problem as this permission is right.

The package is APPROVED.

I will sponsor you for Fedora packaging when you create an account in the Fedora Account System.
Comment 10 Erick Calder 2009-09-18 03:22:21 EDT
(In reply to comment #9)
> I am not sure that I like the %{ooo} define too much

ok, I yanked it out, release 5.

> The package is APPROVED.
> 
> I will sponsor you for Fedora packaging when you create an account in the
> Fedora Account System.  

hurray! I have an account there already, what next?
Comment 11 Tomas Mraz 2009-09-18 03:53:11 EDT
Follow the instructions here:

http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account
Comment 12 Tomas Mraz 2009-09-25 07:29:22 EDT
Any progress getting the package into CVS and build system?
Comment 13 Erick Calder 2009-09-25 16:06:40 EDT
oh dear, I dropped the ball.  I'll get back to you shortly.
Comment 14 Erick Calder 2009-09-25 16:34:01 EDT
New Package CVS Request
=======================
Package Name: mod_gnutls
Short Description: GnuTLS module for the Apache HTTP server 
Owners: e@arix.com
Branches: F-10 F-11 F-12 EL-5
InitialCC: tmraz@redhat.com
Comment 15 Kevin Fenzi 2009-09-29 16:24:22 EDT
Please use fedora account system names in cvs requests. 
Reset the flag to ? when you have a revised request.
Comment 16 Erick Calder 2009-09-30 02:44:17 EDT
New Package CVS Request
=======================
Package Name: mod_gnutls
Short Description: GnuTLS module for the Apache HTTP server 
Owners: ekkis
Branches: F-10 F-11 F-12 EL-5

I don't know how to find Tom's FAS account, and I don't even know what the InitialCC is really for, so I've just removed that line.
Comment 17 Mamoru TASAKA 2009-09-30 03:35:21 EDT
The FAS account of Tomas is tmraz and is a sponsor.
By the way usually you don't have to add the reviewer to CC list.
Comment 18 Kevin Fenzi 2009-09-30 19:52:32 EDT
cvs done.
Comment 19 Erick Calder 2009-10-01 19:09:39 EDT
the package failed building for EL-5, but for F-10 I can't seem to submit the package via bodhi.  the command I use is:

# cd ~/cvs/mod_gnutls/F-10
# bodhi -n -r F10 -t bugfix mod_gnutls-0.5.5-5.fc10
Creating a new update for mod_gnutls-0.5.5-5.fc10
Password for rpm: 

I presume "rpm" refers to the account I'm using to build this stuff but entering the password just causes another password prompt.

Creating a new update for mod_gnutls-0.5.5-5.fc10
Password for rpm:

is that what it is, or there is some other password I need? what am I missing?

also, if the package fails to build for EL-5, that's ok right? I can still publish for the other distros?  here's what I got on the failed build:

Package: mod_gnutls-0.5.5-5.el5
Tag: dist-5E-epel-testing-candidate
Status: failed
Built by: ekkis
ID: 134763
Started: Thu, 01 Oct 2009 21:31:37 UTC
Finished: Thu, 01 Oct 2009 21:33:12 UTC


mod_gnutls-0.5.5-5.el5 (134763) failed on x86-1.fedora.phx.redhat.com (x86_64), x86-5.fedora.phx.redhat.com (i386), x86-4.fedora.phx.redhat.com (noarch):
 BuildError: error building package (arch i386), mock exited with status 1; see build.log for more information
SRPMS:
 mod_gnutls-0.5.5-5.el5.src.rpm

Failed tasks:
-------------

Task 1723124 on x86-1.fedora.phx.redhat.com
Task Type: buildArch (mod_gnutls-0.5.5-5.el5.src.rpm, x86_64)
logs:
 http://koji.fedoraproject.org/koji/getfile?taskID=1723124&name=build.log
 http://koji.fedoraproject.org/koji/getfile?taskID=1723124&name=root.log
 http://koji.fedoraproject.org/koji/getfile?taskID=1723124&name=state.log

Task 1723125 on x86-5.fedora.phx.redhat.com
Task Type: buildArch (mod_gnutls-0.5.5-5.el5.src.rpm, i386)
logs:
 http://koji.fedoraproject.org/koji/getfile?taskID=1723125&name=build.log
 http://koji.fedoraproject.org/koji/getfile?taskID=1723125&name=root.log
 http://koji.fedoraproject.org/koji/getfile?taskID=1723125&name=state.log

Task 1723118 on x86-4.fedora.phx.redhat.com
Task Type: build (dist-5E-epel-testing-candidate, /cvs/pkgs:rpms/mod_gnutls/EL-5:mod_gnutls-0_5_5-5_el5)
Comment 20 Fedora Update System 2009-10-01 19:21:40 EDT
afraid-dyndns-1.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/afraid-dyndns-1.0-2.el5
Comment 21 Fedora Update System 2009-10-01 19:21:46 EDT
afraid-dyndns-1.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/afraid-dyndns-1.0-2.fc12
Comment 22 Fedora Update System 2009-10-01 19:21:53 EDT
afraid-dyndns-1.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/afraid-dyndns-1.0-2.fc11
Comment 23 Fedora Update System 2009-10-01 19:24:52 EDT
mod_gnutls-0.5.5-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mod_gnutls-0.5.5-5.fc12
Comment 24 Fedora Update System 2009-10-01 19:24:58 EDT
mod_gnutls-0.5.5-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mod_gnutls-0.5.5-5.fc11
Comment 25 Fedora Update System 2009-10-01 19:25:03 EDT
mod_gnutls-0.5.5-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mod_gnutls-0.5.5-5.fc10
Comment 26 Erick Calder 2009-10-01 19:43:13 EDT
ugh.  I put the wrong bugzilla id into the afraid-dyndns package and now I can't figure out how to edit it to correct it.  help anyone?
Comment 27 Fedora Update System 2009-10-02 01:07:14 EDT
afraid-dyndns-1.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update afraid-dyndns'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0570
Comment 28 Tomas Mraz 2009-10-02 02:54:31 EDT
The mod_gnutls will not be buildable on EL-5 due to the old gnutls version in EL-5. I don't think it is any problem that the EL-5 branch was created in the CVS. I'd just commit there some text file describing why the build fails so future rebuilds are not attempted there.

Use the web interface to bodhi to edit the updates - the bugzilla numbers can be updated as well.
Comment 29 Fedora Update System 2009-10-03 14:53:13 EDT
mod_gnutls-0.5.5-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mod_gnutls'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10158
Comment 30 Fedora Update System 2009-10-03 14:56:13 EDT
mod_gnutls-0.5.5-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mod_gnutls'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10167
Comment 31 Fedora Update System 2009-10-03 15:12:40 EDT
afraid-dyndns-1.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update afraid-dyndns'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10235
Comment 32 Fedora Update System 2009-10-28 23:00:19 EDT
afraid-dyndns-1.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2009-11-24 02:52:00 EST
mod_gnutls-0.5.5-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2009-11-24 02:55:42 EST
mod_gnutls-0.5.5-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Jiri Kastner 2014-09-10 03:20:44 EDT
Package Change Request
======================
Package Name: mod_gnutls
New Branches: epel7
Owners: jkastner

as it is in epel5 and epel6, it should be nice to have it also in epel7. as daily user of el7 i miss this package.
Comment 36 Jon Ciesla 2014-09-10 06:14:13 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.